/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef ADC2_DEFINES_H
#define ADC2_DEFINES_H

/* XML Version 1.3.1 */
#define ADC2_XML_VERSION (10301)

#define ADC2_CAL_CH0_1_GAIN_CH0 (0x0) /*decimal 0*/

#define ADC2_CAL_CH0_1_GAIN_CH1 (0x0) /*decimal 0*/

#define ADC2_CAL_CH0_1_OFFS_CH0 (0x0) /*decimal 0*/

#define ADC2_CAL_CH0_1_OFFS_CH1 (0x0) /*decimal 0*/

#define ADC2_CAL_CH2_3_GAIN_CH2 (0x0) /*decimal 0*/

#define ADC2_CAL_CH2_3_GAIN_CH3 (0x0) /*decimal 0*/

#define ADC2_CAL_CH2_3_OFFS_CH2 (0x0) /*decimal 0*/

#define ADC2_CAL_CH2_3_OFFS_CH3 (0x0) /*decimal 0*/

#define ADC2_CAL_CH4_5_GAIN_CH4 (0x0) /*decimal 0*/

#define ADC2_CAL_CH4_5_GAIN_CH5 (0x0) /*decimal 0*/

#define ADC2_CAL_CH4_5_OFFS_CH4 (0x0) /*decimal 0*/

#define ADC2_CAL_CH4_5_OFFS_CH5 (0x0) /*decimal 0*/

#define ADC2_CAL_CH6_7_GAIN_CH6 (0x0) /*decimal 0*/

#define ADC2_CAL_CH6_7_GAIN_CH7 (0x0) /*decimal 0*/

#define ADC2_CAL_CH6_7_OFFS_CH6 (0x0) /*decimal 0*/

#define ADC2_CAL_CH6_7_OFFS_CH7 (0x0) /*decimal 0*/

#define ADC2_CAL_CH8_9_GAIN_CH8 (0x0) /*decimal 0*/

#define ADC2_CAL_CH8_9_OFFS_CH8 (0x0) /*decimal 0*/

#define ADC2_CH0_LOTH_VOLT (5.35)

#define ADC2_CH0_UPTH_VOLT (28.36)

#define ADC2_CH1_LOTH_VOLT (5.21)

#define ADC2_CH1_UPTH_VOLT (28.36)

#define ADC2_CH2_LOTH_VOLT (9.45)

#define ADC2_CH2_UPTH_VOLT (46.62)

#define ADC2_CH3_LOTH_VOLT (4.54)

#define ADC2_CH3_UPTH_VOLT (5.12)

#define ADC2_CH4_LOTH_VOLT (4.84)

#define ADC2_CH4_UPTH_VOLT (5.02)

#define ADC2_CH5_LOTH_VOLT (0.9)

#define ADC2_CH5_UPTH_VOLT (1.11)

#define ADC2_CH6_LOTH_VOLT (1.33)

#define ADC2_CH6_UPTH_VOLT (1.60)

#define ADC2_CH7_LOTH_DEG (126.55)

#define ADC2_CH7_UPTH_DEG (176.35)

#define ADC2_CH8_LOTH_DEG (126.55)

#define ADC2_CH8_UPTH_DEG (176.35)

#define ADC2_CLK (0x14) /*decimal 20*/

#define ADC2_CNT0_3_LOWER (0x0) /*decimal 0*/

#define ADC2_CNT0_3_LOWER_CNT_LO_CH0 (0x1) /*decimal 1*/

#define ADC2_CNT0_3_LOWER_HYST_LO_CH0 (0x1) /*decimal 1*/

#define ADC2_CNT0_3_UPPER (0x0) /*decimal 0*/

#define ADC2_CNT4_7_LOWER (0x0) /*decimal 0*/

#define ADC2_CNT4_7_LOWER_CNT_LO_CH4 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_LOWER_CNT_LO_CH5 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_LOWER_CNT_LO_CH6 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_LOWER_HYST_LO_CH4 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_LOWER_HYST_LO_CH5 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_LOWER_HYST_LO_CH6 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_UPPER (0x0) /*decimal 0*/

#define ADC2_CNT4_7_UPPER_CNT_UP_CH5 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_UPPER_CNT_UP_CH7 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_UPPER_HYST_UP_CH5 (0x1) /*decimal 1*/

#define ADC2_CNT4_7_UPPER_HYST_UP_CH7 (0x1) /*decimal 1*/

#define ADC2_CNT8_11_LOWER (0x0) /*decimal 0*/

#define ADC2_CNT8_11_UPPER_CNT_UP_CH8 (0x1) /*decimal 1*/

#define ADC2_CNT8_11_UPPER_HYST_UP_CH8 (0x1) /*decimal 1*/

#define ADC2_CONV_TIME (1.1)

#define ADC2_CTRL2 (0x400) /*decimal 1024*/

#define ADC2_CTRL4 (0x0) /*decimal 0*/

#define ADC2_FILTCOEFF0_8_CH0 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH1 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH2 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH3 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH4 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH5 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH6 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH7 (0x1) /*decimal 1*/

#define ADC2_FILTCOEFF0_8_CH8 (0x1) /*decimal 1*/

#define ADC2_FILT_UPLO_CTRL (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH0 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH1 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH2 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH3 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH4 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH5 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH6 (0x0) /*decimal 0*/

#define ADC2_MMODE0_8_CH7 (0x2) /*decimal 2*/

#define ADC2_MMODE0_8_CH8 (0x2) /*decimal 2*/

#define ADC2_TH0_3_LOWER (0xBA2D2A00) /*decimal 3123522048*/

#define ADC2_TH0_3_LOWER_THLO_CH0 (0x2C) /*decimal 44*/

#define ADC2_TH0_3_UPPER (0xD2E1E9E9) /*decimal 3538020841*/

#define ADC2_TH4_7_LOWER (0xC7000000) /*decimal 3338665984*/

#define ADC2_TH4_7_LOWER_THLO_CH4 (0xC7) /*decimal 199*/

#define ADC2_TH4_7_LOWER_THLO_CH5 (0x8F) /*decimal 143*/

#define ADC2_TH4_7_LOWER_THLO_CH6 (0xD3) /*decimal 211*/

#define ADC2_TH4_7_UPPER (0xFC00CE) /*decimal 16515278*/

#define ADC2_TH4_7_UPPER_THUP_CH5 (0xAF) /*decimal 175*/

#define ADC2_TH4_7_UPPER_THUP_CH7 (0xE0) /*decimal 224*/

#define ADC2_TH8_11_LOWER (0xC7) /*decimal 199*/

#define ADC2_TH8_11_UPPER_THUP_CH8 (0xE0) /*decimal 224*/

#endif /* ADC2_DEFINES_H */
