/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef ADC1_DEFINES_H
#define ADC1_DEFINES_H

/* XML Version 1.3.1 */
#define ADC1_XML_VERSION (10301)

#define ADC1_CH0_LOTH_VOLT (5.85)

#define ADC1_CH0_UPTH_VOLT (19.38)

#define ADC1_CH1_LOTH_VOLT (6.66)

#define ADC1_CH1_UPTH_VOLT (19.89)

#define ADC1_CH2_LOTH_VOLT (0.00)

#define ADC1_CH2_UPTH_VOLT (31.05)

#define ADC1_CH3_LOTH_VOLT (0.00)

#define ADC1_CH3_UPTH_VOLT (31.05)

#define ADC1_CH4_LOTH_VOLT (0.00)

#define ADC1_CH4_UPTH_VOLT (31.05)

#define ADC1_CH5_LOTH_VOLT (0.00)

#define ADC1_CH5_UPTH_VOLT (31.05)

#define ADC1_CH6_LOTH_VOLT (0.00)

#define ADC1_CH6_UPTH_VOLT (31.05)

#define ADC1_CH7_LOTH_VOLT (0.00)

#define ADC1_CH7_UPTH_VOLT (31.05)

#define ADC1_CHx_EIM (0x0) /*decimal 0*/

#define ADC1_CHx_ESM (0x10080) /*decimal 65664*/

#define ADC1_CTRL2 (0x0) /*decimal 0*/

#define ADC1_CTRL3 (0x1) /*decimal 1*/

#define ADC1_CTRL5 (0x0) /*decimal 0*/

#define ADC1_DCH1_LOTH_VOLT (0.00)

#define ADC1_DCH1_UPTH_VOLT (31.05)

#define ADC1_DCHTH1_4_LOWER (0x0) /*decimal 0*/

#define ADC1_DCHTH1_4_UPPER (0xFF) /*decimal 255*/

#define ADC1_DIFFCH_OUT1 (0x0) /*decimal 0*/

#define ADC1_DPP1_CLK (0x28) /*decimal 40*/

#define ADC1_DUIN_SEL (0x0) /*decimal 0*/

#define ADC1_FADCI (0x28) /*decimal 40*/

#define ADC1_FILTCOEFF0_13 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT0 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT1 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT10 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT11 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT12 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT13 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT2 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT3 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT4 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT5 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT6 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT7 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT8 (0x0) /*decimal 0*/

#define ADC1_FILT_OUT9 (0x0) /*decimal 0*/

#define ADC1_FILT_OUTEIM (0x0) /*decimal 0*/

#define ADC1_FILT_UPLO_CTRL (0x0) /*decimal 0*/

#define ADC1_IRQEN_1 (0x20000) /*decimal 131072*/

#define ADC1_IRQEN_2 (0x0) /*decimal 0*/

#define ADC1_MODE_SELECT (0x1) /*decimal 1*/

#define ADC1_PP_CH2_GAIN (0.04)

#define ADC1_PP_CH3_GAIN (0.04)

#define ADC1_PP_CH4_GAIN (0.04)

#define ADC1_PP_CH5_GAIN (0.04)

#define ADC1_PP_CH6_GAIN (0.04)

#define ADC1_PP_CH7_GAIN (0.04)

#define ADC1_PP_MAP0_3 (0x2020000) /*decimal 33685504*/

#define ADC1_PP_MAP4_7 (0x2020202) /*decimal 33686018*/

#define ADC1_SQ0_1 (0x0) /*decimal 0*/

#define ADC1_SQ10_11 (0x0) /*decimal 0*/

#define ADC1_SQ12_13 (0x0) /*decimal 0*/

#define ADC1_SQ2_3 (0x0) /*decimal 0*/

#define ADC1_SQ4_5 (0x0) /*decimal 0*/

#define ADC1_SQ6_7 (0x0) /*decimal 0*/

#define ADC1_SQ8_9 (0x0) /*decimal 0*/

#define ADC1_TH0_3_LOWER (0x4139) /*decimal 16697*/

#define ADC1_TH0_3_UPPER (0xFFFFC5BF) /*decimal 4294952383*/

#define ADC1_TH4_7_LOWER (0x0) /*decimal 0*/

#define ADC1_TH4_7_UPPER (0xFFFFFFFB) /*decimal 4294967291*/

#define SCU_ADC1_CLK (0x0) /*decimal 0*/

#define SCU_MODPISEL4 (0x4030100) /*decimal 67305728*/

#endif /* ADC1_DEFINES_H */
