/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef CCU6_DEFINES_H
#define CCU6_DEFINES_H

/* XML Version 1.3.1 */
#define CCU6_XML_VERSION (10301)

#define CCU6_CC60SR (0xF9) /*decimal 249*/

#define CCU6_CC61SR (0x1F3) /*decimal 499*/

#define CCU6_CC62SR (0x2ED) /*decimal 749*/

#define CCU6_CC63SR (0x13) /*decimal 19*/

#define CCU6_CH0_CMP_DC (0x19) /*decimal 25*/

#define CCU6_CH0_CMP_SEL (0x2) /*decimal 2*/

#define CCU6_CH0_CMP_TICK (0x0) /*decimal 0*/

#define CCU6_CH0_CMP_TIME (0.00000)

#define CCU6_CH1_CMP_DC (0x32) /*decimal 50*/

#define CCU6_CH1_CMP_SEL (0x2) /*decimal 2*/

#define CCU6_CH1_CMP_TICK (0x0) /*decimal 0*/

#define CCU6_CH1_CMP_TIME (0.00000)

#define CCU6_CH2_CMP_DC (0x4B) /*decimal 75*/

#define CCU6_CH2_CMP_SEL (0x2) /*decimal 2*/

#define CCU6_CH2_CMP_TICK (0x0) /*decimal 0*/

#define CCU6_CH2_CMP_TIME (0.00000)

#define CCU6_CH3_CMP_DC (0x5) /*decimal 5*/

#define CCU6_CH3_CMP_SEL (0x2) /*decimal 2*/

#define CCU6_CH3_CMP_TICK (0x0) /*decimal 0*/

#define CCU6_CH3_CMP_TIME (0.00000)

#define CCU6_CMPSTAT (0x2A00) /*decimal 10752*/

#define CCU6_DEADTIME (0.00)

#define CCU6_IEN (0x0) /*decimal 0*/

#define CCU6_INP (0x0) /*decimal 0*/

#define CCU6_ISCC60 (0x0) /*decimal 0*/

#define CCU6_ISCC61 (0x0) /*decimal 0*/

#define CCU6_ISCC62 (0x0) /*decimal 0*/

#define CCU6_ISPOS0 (0x0) /*decimal 0*/

#define CCU6_ISPOS1 (0x0) /*decimal 0*/

#define CCU6_ISPOS2 (0x0) /*decimal 0*/

#define CCU6_IST12HR (0x0) /*decimal 0*/

#define CCU6_IST13HR (0x0) /*decimal 0*/

#define CCU6_ISTRP (0x0) /*decimal 0*/

#define CCU6_MCMCTR (0x0) /*decimal 0*/

#define CCU6_MODCTR (0x803F) /*decimal 32831*/

#define CCU6_NVIC (0x1) /*decimal 1*/

#define CCU6_PISEL0 (0x0) /*decimal 0*/

#define CCU6_PISEL2 (0x0) /*decimal 0*/

#define CCU6_PSLR (0x80) /*decimal 128*/

#define CCU6_T12DTC (0x0) /*decimal 0*/

#define CCU6_T12MSEL (0x333) /*decimal 819*/

#define CCU6_T12PERIOD (0x3E8) /*decimal 1000*/

#define CCU6_T12PR (0x3E7) /*decimal 999*/

#define CCU6_T12_CLK (0x28) /*decimal 40*/

#define CCU6_T12_FREQ (0x4E20) /*decimal 20000*/

#define CCU6_T12_MAX_PERIOD (1638.38)

#define CCU6_T12_PERIOD_SEL (0x1) /*decimal 1*/

#define CCU6_T12_TICK (0x1) /*decimal 1*/

#define CCU6_T12_TIME (50.00)

#define CCU6_T13PERIOD (0x190) /*decimal 400*/

#define CCU6_T13PR (0x18F) /*decimal 399*/

#define CCU6_T13_CLK (0x28) /*decimal 40*/

#define CCU6_T13_FREQ (0x4E20) /*decimal 20000*/

#define CCU6_T13_MAX_PERIOD (1638.38)

#define CCU6_T13_PERIOD_SEL (0x1) /*decimal 1*/

#define CCU6_T13_TICK (0x1) /*decimal 1*/

#define CCU6_T13_TIME (10.00)

#define CCU6_TCTR0 (0x80) /*decimal 128*/

#define CCU6_TCTR2 (0x46) /*decimal 70*/

#define CCU6_TEMP_CC60_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_CC61_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_CC62_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_COUT60_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_COUT61_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_COUT62_OUT (0x1) /*decimal 1*/

#define CCU6_TEMP_COUT63_OUT (0x1) /*decimal 1*/

#define CCU6_TRPCTR (0x0) /*decimal 0*/

#endif /* CCU6_DEFINES_H */
