/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef PMU_DEFINES_H
#define PMU_DEFINES_H

/* XML Version 1.3.1 */
#define PMU_XML_VERSION (10301)

#define PMU_CNF_RST_TFB (0x3) /*decimal 3*/

#define PMU_CNF_WAKE_FILTER (0x0) /*decimal 0*/

#define PMU_CYC_SENSE_ACT_TIME (0xA) /*decimal 10*/

#define PMU_CYC_SENSE_EFF_SLP_TIME (0x2) /*decimal 2*/

#define PMU_CYC_SENSE_SLP_TIME (0x2) /*decimal 2*/

#define PMU_CYC_WAKE_EFF_TIME (0x800) /*decimal 2048*/

#define PMU_CYC_WAKE_TIME (0x800) /*decimal 2048*/

#define PMU_DRV_CTRL (0x0) /*decimal 0*/

#define PMU_LIN_WAKE_EN (0x0) /*decimal 0*/

#define PMU_MON1_CYCLE_SENSE (0x0) /*decimal 0*/

#define PMU_MON1_WAKE (0x1) /*decimal 1*/

#define PMU_MON1_WAKE_FALL (0x1) /*decimal 1*/

#define PMU_MON1_WAKE_RISE (0x1) /*decimal 1*/

#define PMU_MON2_CYCLE_SENSE (0x0) /*decimal 0*/

#define PMU_MON2_WAKE (0x1) /*decimal 1*/

#define PMU_MON2_WAKE_FALL (0x1) /*decimal 1*/

#define PMU_MON2_WAKE_RISE (0x1) /*decimal 1*/

#define PMU_MON3_CYCLE_SENSE (0x0) /*decimal 0*/

#define PMU_MON3_WAKE (0x1) /*decimal 1*/

#define PMU_MON3_WAKE_FALL (0x1) /*decimal 1*/

#define PMU_MON3_WAKE_RISE (0x1) /*decimal 1*/

#define PMU_MON4_CYCLE_SENSE (0x0) /*decimal 0*/

#define PMU_MON4_WAKE (0x1) /*decimal 1*/

#define PMU_MON4_WAKE_FALL (0x1) /*decimal 1*/

#define PMU_MON4_WAKE_RISE (0x1) /*decimal 1*/

#define PMU_OT_CTRL (0x0) /*decimal 0*/

#define PMU_PORT0_WAKE (0x0) /*decimal 0*/

#define PMU_PORT1_WAKE (0x0) /*decimal 0*/

#define PMU_SENSE_EFF_SLP_TIME (0xA) /*decimal 10*/

#define PMU_SLEEP (0x3F0004) /*decimal 4128772*/

#define PMU_SLEEP_MODE (0x1) /*decimal 1*/

#define PMU_STOP_MODE (0x0) /*decimal 0*/

#define PMU_SUPPLY_STS (0x0) /*decimal 0*/

#define PMU_VDDC_OL_EN (0x0) /*decimal 0*/

#define PMU_VDDC_OV_EN (0x0) /*decimal 0*/

#define PMU_VDDEXT_CTRL (0x0) /*decimal 0*/

#define PMU_VDDEXT_OT_EN (0x0) /*decimal 0*/

#define PMU_VDDEXT_UV_EN (0x0) /*decimal 0*/

#define PMU_VDDP_OL_EN (0x0) /*decimal 0*/

#define PMU_VDDP_OV_EN (0x0) /*decimal 0*/

#define PMU_WAKE_CNF_GPIO0 (0x0) /*decimal 0*/

#define PMU_WAKE_CNF_GPIO1 (0x0) /*decimal 0*/

#endif /* PMU_DEFINES_H */
