/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef SSC_DEFINES_H
#define SSC_DEFINES_H

/* XML Version 1.3.1 */
#define SSC_XML_VERSION (10301)

#define SSC1_BR (0x13) /*decimal 19*/

#define SSC1_CON (0xC017) /*decimal 49175*/

#define SSC1_MAN_BAUDRATE (0x3E8) /*decimal 1000*/

#define SSC1_PISEL (0x0) /*decimal 0*/

#define SSC1_TEMP_BR (0x3E8) /*decimal 1000*/

#define SSC1_TEMP_CIS (0x4) /*decimal 4*/

#define SSC1_TEMP_CLK (0x28) /*decimal 40*/

#define SSC1_TEMP_COS (0x0) /*decimal 0*/

#define SSC1_TEMP_MIS (0x4) /*decimal 4*/

#define SSC1_TEMP_MOS (0x0) /*decimal 0*/

#define SSC1_TEMP_MS (0x1) /*decimal 1*/

#define SSC1_TEMP_SIS (0x4) /*decimal 4*/

#define SSC1_TEMP_SOS (0x4) /*decimal 4*/

#define SSC2_BR (0x13) /*decimal 19*/

#define SSC2_CON (0x8017) /*decimal 32791*/

#define SSC2_MAN_BAUDRATE (0x3E8) /*decimal 1000*/

#define SSC2_PISEL (0x0) /*decimal 0*/

#define SSC2_TEMP_BR (0x3E8) /*decimal 1000*/

#define SSC2_TEMP_CIS (0x0) /*decimal 0*/

#define SSC2_TEMP_CLK (0x28) /*decimal 40*/

#define SSC2_TEMP_COS (0x4) /*decimal 4*/

#define SSC2_TEMP_MIS (0x4) /*decimal 4*/

#define SSC2_TEMP_MOS (0x4) /*decimal 4*/

#define SSC2_TEMP_MS (0x0) /*decimal 0*/

#define SSC2_TEMP_SIS (0x0) /*decimal 0*/

#define SSC2_TEMP_SOS (0x4) /*decimal 4*/

#endif /* SSC_DEFINES_H */
