/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef SCU_DEFINES_H
#define SCU_DEFINES_H

/* XML Version 1.3.1 */
#define SCU_XML_VERSION (10301)

#define SCUPM_WDT1_PERIOD (0x3F0) /*decimal 1008*/

#define SCUPM_WDT1_PERIOD_EDIT (0x3F0) /*decimal 1008*/

#define SCUPM_WDT1_TRIG (0x3F) /*decimal 63*/

#define SCUPM_WDT1_TRIGGER (0x2BB) /*decimal 699*/

#define SCU_APCLK (0x3000300) /*decimal 50332416*/

#define SCU_APCLK_BG_CLK (0x28) /*decimal 40*/

#define SCU_APCLK_FILT_CLK (0xA) /*decimal 10*/

#define SCU_APCLK_MI_CLK (0x28) /*decimal 40*/

#define SCU_BCON1 (0x0) /*decimal 0*/

#define SCU_BCON2 (0x1) /*decimal 1*/

#define SCU_CKOUT_FREQ (0x28) /*decimal 40*/

#define SCU_COCON (0x0) /*decimal 0*/

#define SCU_FSYS (0x2625A00) /*decimal 40000000*/

#define SCU_FSYS_MHz (0x28) /*decimal 40*/

#define SCU_GPT12PISEL (0x0) /*decimal 0*/

#define SCU_IEN0 (0x80000000) /*decimal 2147483648*/

#define SCU_MODPISEL (0x0) /*decimal 0*/

#define SCU_MODPISEL1 (0x0) /*decimal 0*/

#define SCU_MODPISEL2 (0x0) /*decimal 0*/

#define SCU_NVM_BOOT_PROT (0x0) /*decimal 0*/

#define SCU_NVM_CODE_PROT (0x0) /*decimal 0*/

#define SCU_NVM_DATA_PROT (0x0) /*decimal 0*/

#define SCU_NVM_PROT_PW (0x0) /*decimal 0*/

#define SCU_PINSEL (0x0) /*decimal 0*/

#define SCU_SYSCON0 (0xC0) /*decimal 192*/

#define SCU_T21EX_Sel (0x0) /*decimal 0*/

#define SCU_T2EX_Sel (0x0) /*decimal 0*/

#define SCU_WDTCON (0x0) /*decimal 0*/

#define SCU_WDTREL (0x1) /*decimal 1*/

#define SCU_WDTWINB (0x0) /*decimal 0*/

#define SCU_WDT_TIME_SEL (0x0) /*decimal 0*/

#define SCU_WDT_TIME_TICK (0x1) /*decimal 1*/

#define SCU_WDT_TIME_TIME (1.00)

#define SCU_fINTOSC_MHz (0x28) /*decimal 40*/

#endif /* SCU_DEFINES_H */
